it-swarm-ja.com

yum依存関係の解決はどのように機能しますか?

複数のパッケージがインストールされるパッケージの依存関係を満たしている場合、yumはどのパッケージを自動的にインストールするかをどのように選択しますか?強制的に選択させることはできますか?

3
Jim Hunziker

先週末の私の調査から、yumは要件を満たす最新バージョンを選択し、次に進むようです。

はい-選択したい場合は、手動でインストールする必要があります(またはyum install package.ver.si.onを使用)

4
warren

最初の質問についてはわかりませんが、2番目の質問については、最初に選択したパッケージをインストールするだけでよいため、yumは特定の依存関係を満たすために何もインストールする必要がなくなります。

2
balpha